<div class="inner-form mb-0" id="divclick">
  <div class="input-field">
    <div class="input-field" style="z-index: 5">
      <input type="text" placeholder="Rechercher" (focus)="Showlist(true,$event)" (keyup)="Search($event)"
        (blur)="Showlist1(false,$event)" class="searchinput" id="Rech" autocomplete="off" />
      <div>



      </div>
      <ul class="list-group" *ngIf="showlist" style="z-index: 5;">
        <li class="list-group-item d-flex justify-content-between align-items-center">
          <button type="button" class="btn" (click)="Rechercher(1)"> Tous les Véhicules <img
              src="assets/img/camIcon.png" width="30" height="30"></button>
        </li>
        <!-- <li class="list-group-item d-flex justify-content-between align-items-center">
          <button type="button" class="btn" (click)="Rechercher(0)">Tous les Conducteurs <img
              src="assets/img/conIcon.png" width="30" height="30"></button>
        </li>
        <li class="list-group-item d-flex justify-content-between align-items-center">
          <button type="button" class="btn" (click)="Rechercher(2)">Repos</button>
        </li>
        <li class="list-group-item d-flex justify-content-between align-items-center">
          <button type="button" class="btn" (click)="Rechercher(4)">Travail</button>
        </li>
        <li class="list-group-item d-flex justify-content-between align-items-center">
          <button type="button" class="btn" (click)="Rechercher(3)">M.A.D</button>
        </li>
        <li class="list-group-item d-flex justify-content-between align-items-center">
          <button type="button" class="btn" (click)="Rechercher(5)">Conduite</button>
        </li> -->
      </ul>

      <ul class="list-group" id="listgroup54">

        <li class="list-group-item d-flex justify-content-between align-items-center"
          *ngFor="let c of ResRech ;let index = index;">

          <button type="button" class="btn" (click)="selectEvent(c.vehiculeId,c.values)">
            {{c.values[0].evenements[0].tachygraphe?.vRN}}</button>
          <img class="mr-0" src="assets/img/voulan.png" width="14" height="14">


        </li>


      </ul>
      <ul class="list-group" id="listg">
        <li class="list-group-item d-flex justify-content-between align-items-center" *ngFor="let c of ResRech1">
          <button type="button" class="btn" (click)="selectEvent(c.vehiculeId,c.values)">
            {{c.values[0].evenements[0].tachygraphe?.vRN}}</button>
          <img class="mr-0" src="assets/img/voulan.png" width="14" height="14">
        </li>
      </ul>
    </div>
  </div>
</div>
<div class="detail-block d-none d-sm-block" *ngIf="show">

  <label><strong>Details</strong></label>


</div>

<div class="contenu-card" *ngIf="show">
  <div class="text-card">
    <label><strong *ngIf="!Vehicule.isSPI">Vehicule :</strong></label>
    <label><strong *ngIf="Vehicule.isSPI">SPI :</strong></label>
  </div>

  <div class="scroll-card">
    <div class="row d-flex justify-content-between  pl-2">
      <div class="col-md-3 d-flex pr-0">
        <div class="image-container pl-0">
          <img *ngIf="!Vehicule.isSPI" [src]="'assets/img/vehic.png'" />
          <img *ngIf="Vehicule.isSPI" [src]="'assets/img/user.png'" width="75px" height="75px" />
        </div>
      </div>
      <div class="col-md-7 justify-content-center flex-column text-header-content pl-0">
        <p class=" pl-0 pr-0"> </p>
        <p class="  pl-0 pr-0"><small>
            <strong *ngIf="!Vehicule.isSPI">VRN :</strong>
            <strong *ngIf="Vehicule.isSPI">Nom :</strong>
            <strong>{{Vehicule?.vRN}}</strong>
          </small></p>
        <p class=" pl-0 pr-0"><small>
            <strong *ngIf="!Vehicule.isSPI">VIN :</strong>
            <strong *ngIf="Vehicule.isSPI">Prenom :</strong>
            <strong>{{Vehicule?.VIN}}</strong></small></p>
      </div>
      <div class="col-md-2 d-flex pr-0">
        <img src="assets/img/voulan.png" width="19" height="19">
      </div>
    </div>

    <mat-accordion>
      <mat-expansion-panel [expanded]="true">
        <mat-expansion-panel-header class="back-color-blue">
          <mat-panel-title>
            Position
          </mat-panel-title>
          <mat-panel-description>

          </mat-panel-description>
        </mat-expansion-panel-header>
        <p class="pl-3 pr-3 d-flex justify-content-between">{{ Vehicule?.address}} <img src="assets/img/share.png"
            width="12" height="10"></p>
        <p class="pl-3 pr-3 pt-2 d-flex justify-content-between">{{Vehicule?.position[0]?.longitude.toFixed(6)}}
          ,{{Vehicule?.position[0].latitude.toFixed(6)}}
          <img src="assets/img/share.png" width="12" height="10">
        </p>
        <p class="pl-3 pt-2 pr-3 d-flex justify-content-between">Ajouter au carnet d'adresses <img
            src="assets/img/add.png" width="12" height="10"
            (click)="open(Vehicule?.position[0].latitude.toFixed(6),Vehicule?.position[0]?.longitude.toFixed(6))"></p>
      </mat-expansion-panel>


      <mat-expansion-panel expanded>
        <mat-expansion-panel-header class="back-color-blue">
          <mat-panel-title>
            Activités
          </mat-panel-title>
          <mat-panel-description>

          </mat-panel-description>
        </mat-expansion-panel-header>
        <div class="pl-3 pb-2">
          <p>Activite :</p>
          <strong *ngIf="Vehicule?.activite==5">
            <div class=" w-100 carre-color-vert">
              <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                  src="assets/img/volant-noir.png" width="14" height="14">Conduite</p>
            </div>
          </strong>
          <strong *ngIf="Vehicule?.activite==3">
            <div class=" w-100 carre-color-jaune">
              <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                  src="assets/img/volant-noir.png" width="14" height="14">M.A.D</p>
            </div>
          </strong>
          <strong *ngIf="Vehicule?.activite==2">
            <div class=" w-100 carre-color-blue">
              <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                  src="assets/img/volant-noir.png" width="14" height="14">coupure</p>
            </div>
          </strong>
          <strong *ngIf="Vehicule?.activite==4">
            <div class=" w-100 carre-color-rose">
              <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                  src="assets/img/volant-noir.png" width="14" height="14">Travail</p>
            </div>
          </strong>

        </div>

        <div class="back-color-blue-m pt-2 pb-2 pl-0 pr-0">Conducteur:{{Vehicule?.NomC}}</div>

        <div class="scroll-zone-carre">
          <div class="row mt-2">
            <div class="col-md-4 ">
              <div class=" w-100 carre-color-vert">
                <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                    src="assets/img/volant-noir.png" width="14" height="14">Conduite
                </p>
                <p class="pt-1 font-weight-bolder">7 H 29 min</p>
              </div>

            </div>
            <div class="col-md-4">
              <div class=" w-100 carre-color-rose">
                <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                    src="assets/img/cr.png" width="14" height="14">Travail</p>
                <p class="pt-1 font-weight-bolder">01:42</p>
              </div>

            </div>
            <div class="col-md-4">
              <div class=" w-100 carre-color-jaune">
                <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                    src="assets/img/ba.png" width="14" height="14">M.A.D</p>
                <p class="pt-1 font-weight-bolder">00:01</p>
              </div>

            </div>
          </div>
          <div class="row mt-2">
            <div class="col-md-4 ">
              <div class=" w-100 carre-color-marron">
                <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                    src="assets/img/homme.png" width="14" height="14">DE</p>
                <p class="pt-1 font-weight-bolder">7 H 29 min</p>
              </div>

            </div>
            <div class="col-md-4">
              <div class=" w-100 carre-color-blue">
                <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                    src="assets/img/lit.png" width="14" height="14">Coupure</p>
                <p class="pt-1 font-weight-bolder">01:42</p>
              </div>

            </div>
            <div class="col-md-4">
              <div class=" w-100 carre-color-rose">
                <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                    src="assets/img/o.png" width="14" height="14">AC</p>
                <p class="pt-1 font-weight-bolder">00:01</p>
              </div>

            </div>
          </div>
          <div class="row mt-2">
            <div class="col-md-4 ">
              <div class=" w-100 carre-color-blueee1">
                <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                    src="assets/img/cal.png" width="14" height="14">Absence</p>
                <p class="pt-1 font-weight-bolder">01:42</p>
              </div>

            </div>
            <div class="col-md-4">
              <div class=" w-100 carre-color-blueee">
                <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                    src="assets/img/m.png" width="14" height="14">Nuit</p>
                <p class="pt-1 font-weight-bolder">01:42</p>
              </div>

            </div>
            <div class="col-md-4">
              <div class=" w-100 carre-color-blueee2">
                <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                    src="assets/img/e.png" width="14" height="14">H.Dues</p>
                <p class="pt-1 font-weight-bolder">00:01</p>
              </div>

            </div>
          </div>
        </div>
      </mat-expansion-panel>


      <mat-expansion-panel>
        <mat-expansion-panel-header class="back-color-blue">
          <mat-panel-title>
            Technique
          </mat-panel-title>
          <mat-panel-description>

          </mat-panel-description>
        </mat-expansion-panel-header>
        <p class="pl-3 pr-3 d-flex justify-content-between"><span> Parcouru Jour / Semaine</span> <span>Fuel
            Level</span></p>
        <p class="pl-3 pr-3 d-flex justify-content-between"><span>Remorque AB-123-AB </span> <strong>28% <img
              src="assets/img/carbura.png"></strong></p>
        <p class="pl-3 pr-3 d-flex justify-content-between">Autres : Voyants </p>

      </mat-expansion-panel>



      <mat-expansion-panel>
        <mat-expansion-panel-header class="back-color-blue">
          <mat-panel-title>
            A Proximité
          </mat-panel-title>
          <mat-panel-description>

          </mat-panel-description>
        </mat-expansion-panel-header>
        <div class="m-nega">

          <!-- <mat-expansion-panel>
            <mat-expansion-panel-header>
              <mat-panel-title>
                Personnes
              </mat-panel-title>
              <mat-panel-description>
                {{panelOpenState ? '' : ''}}
              </mat-panel-description>
            </mat-expansion-panel-header>
          </mat-expansion-panel> -->

          <mat-expansion-panel>
            <mat-expansion-panel-header>
              <mat-panel-title>
                Vehicules
              </mat-panel-title>
              <!-- <mat-panel-description>
                {{panelOpenState ? '' : ''}}
              </mat-panel-description> -->
            </mat-expansion-panel-header>
            <mat-expansion-panel *ngFor="let item of Vehicule?.VehiculesProximite">
              <mat-expansion-panel-header class="back-color-blue">
                <mat-panel-title>
                  <div class="image-container pl-1 pr-0 ">
                    <strong style="color: #314362;">{{ item.vRN}}</strong>
                    <!-- <strong style="color: #314362;" *ngIf="item.data.evenements[0].tachygraphe.vRN == null">Pas de
                      VRN</strong> -->
                  </div>
                </mat-panel-title>
                <!-- <mat-panel-description>
                  {{panelOpenState ? '' : ''}}
                </mat-panel-description> -->
              </mat-expansion-panel-header>

              <div class="row d-flex justify-content-between">
                <!-- <div class="col-md-12 d-flex" (click)="On(item)">


                  <div class="col-md-4 pl-1 pr-0"
                    *ngIf="item.data.evenements[0].tachygraphe!=null && item.data.evenements[0].tachygraphe.conducteur!=null && item.data.evenements[0].tachygraphe.conducteur.activite==5">
                    <div class=" h-15 w-60 carre-color-vert">
                      <p class="pt-1 d-flex justify-content-center align-items-center">
                        <img class="mr-1" src="assets/img/volant-noir.png" width="14" height="14">Conduite
                      </p>

                    </div>

                  </div>
                  <div class="col-md-4 pl-1 pr0"
                    *ngIf="item.data.evenements[0].tachygraphe!=null && item.data.evenements[0].tachygraphe.conducteur!=null && item.data.evenements[0].tachygraphe.conducteur.activite==3">
                    <div class="h-15 w-60 carre-color-jaune">
                      <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                          src="assets/img/ba.png" width="14" height="14">M.A.D</p>
                    </div>

                  </div>
                  <div class="col-md-4 pl-1 pr0"
                    *ngIf="item.data.evenements[0].tachygraphe!=null && item.data.evenements[0].tachygraphe.conducteur!=null && item.data.evenements[0].tachygraphe.conducteur.activite==2">
                    <div class="h-15 w-60 carre-color-blue">
                      <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                          src="assets/img/lit.png" width="14" height="14">Coupure</p>

                    </div>

                  </div>
                  <div class="col-md-4 pl-1 pr0"
                    *ngIf="item.data.evenements[0].tachygraphe!=null && item.data.evenements[0].tachygraphe.conducteur!=null &&  item.data.evenements[0].tachygraphe.conducteur.activite==4">
                    <div class="h-15 w-60 carre-color-rose">
                      <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                          src="assets/img/cr.png" width="14" height="14">Travail</p>

                    </div>

                  </div>
                </div> -->

                <div class="col-md-12 justify-content-center flex-column text-header-content">
                  <p class="  pl-0 pr-0"><strong style="color: #314362;">Position</strong>:
                    {{item.latitude.toFixed(6)}},{{item.longitude.toFixed(6)}}</p>
                  <p class="  pl-0 pr-0"><strong style="color: #314362;">Conducteur</strong> :
                    {{item.numeroCarte}}
                  </p>
                </div>
              </div>
            </mat-expansion-panel>


          </mat-expansion-panel>


          <!-- <mat-expansion-panel (click)="apro()">
            <mat-expansion-panel-header>
              <mat-panel-title>
                POIs
              </mat-panel-title>
              <mat-panel-description>
                {{panelOpenState ? '' : ''}}
              </mat-panel-description>
            </mat-expansion-panel-header>
            <div *ngFor="let item of adrApro">
              <p>Client : {{item.nomclient}}</p>

            </div>

          </mat-expansion-panel>
          <mat-expansion-panel style="padding-right:0px;padding-left:0px">
            <mat-expansion-panel-header>
              <mat-panel-title>
                Tournées
              </mat-panel-title>
              <mat-panel-description>
                {{panelOpenState ? '' : ''}}
              </mat-panel-description>
            </mat-expansion-panel-header>




            <mat-accordion style="padding: 0;width: 100%;">
              <mat-expansion-panel *ngFor="let item of tournees; let l = count">
                <mat-expansion-panel-header class="back-color-blue">
                  <mat-panel-title>
                    <p style="color: #314362;"><strong style="color: #314362;">Tournees :</strong> {{item.referenceOT}}
                    </p>

                  </mat-panel-title>
                  <mat-panel-description>
                    {{panelOpenState ? '' : ''}}

                  </mat-panel-description>
                </mat-expansion-panel-header>
                <p><small style="color: #314362;">Date debut :</small> {{item.dateDebut}}</p>
                <p><small style="color: #314362;">Date fin :</small> {{item.dateFin}}</p>
                <div style="display: flex;">

                  <table style="width: 50%;">
                    <thead>
                      <p><strong style="color: #314362;padding-left: 10%;">Livraison</strong></p>
                    </thead>
                    <tbody>
                      <tr *ngFor="let it of item.enlevementLivraisons" style="margin: auto;">
                        <td style="width: 100%;">






                          <div *ngIf="!it.isEnlevement">
                            <h6 style="color: #314362;"> <strong> date:{{it.livraison.dateSouhaite}}</strong></h6>
                            <h6 style="color: #314362;"><strong> E.utilisé:{{it.surfaceUtilisee}}</strong></h6>
                            <h6 style="color: #314362;"><strong> E.restant:{{it.surfaceRestante}}</strong></h6>
                            <h6 style="color: #314362;"><strong> Poids:{{it.poids}} T</strong></h6>
                            <hr style="width: 100%;height: 1px;color: #314362;" />
                          </div>

                        </td>
                      </tr>
                    </tbody>
                  </table>

                  <table style="width: 49%;border-left: 1px ridge #314362;">
                    <thead>
                      <p><strong style="color: #314362;padding-left: 40%;"> Enlevement</strong></p>
                    </thead>

                    <tbody>
                      <tr *ngFor="let it of item.enlevementLivraisons">
                        <td style="width: 100%;">



                          <div *ngIf="it.isEnlevement" style="padding-left: 10%;">
                            <h6 style="color: #314362;"><strong> date:{{it.expedition.dateSouhaite}}</strong></h6>
                            <h6 style="color: #314362;"><strong> E.utilisé:{{it.surfaceUtilisee}}</strong></h6>
                            <h6 style="color: #314362;"><strong> E.restant:{{it.surfaceRestante}}</strong></h6>
                            <h6 style="color: #314362;"><strong> Poids:{{it.poids}} T</strong></h6>
                            <hr style="width: 100%;height: 1px;color: #314362;" />
                          </div>




                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>



              </mat-expansion-panel>
            </mat-accordion>


          </mat-expansion-panel> -->


        </div>
      </mat-expansion-panel>
      <mat-expansion-panel>
        <mat-expansion-panel-header class="back-color-blue">
          <mat-panel-title>
            <p style="color: #314362;"><strong style="color: #314362;">Tournées</strong>
            </p>
          </mat-panel-title>
          <mat-panel-description>
          </mat-panel-description>
        </mat-expansion-panel-header>

        <mat-expansion-panel *ngFor="let item of Vehicule.tournees; let l = count" (opened)="sendtournees(item)"
          (closed)="Closedpanel()">
          <mat-expansion-panel-header class="back-color-blue">
            <mat-panel-title>
              <p style="color: #314362;"><strong style="color: #314362;">{{item.referenceOT}}</strong></p>
            </mat-panel-title>

          </mat-expansion-panel-header>
          <div class="row content">
            <div class="col-6">
              <p><small style="color: #314362;">Debut :</small><small> {{item.dateDebut}}</small></p>
            </div>
            <div class="col-5.5">
              <p><small style="color: #314362;">Fin :</small> <small>{{item.dateFin}} </small> </p>
            </div>
            <div class="col-1"> <img class="mr-0 pointer" src="assets/img/planing.svg" width="23" height="23"
                (click)="navigateToPlaning()"></div>
          </div>
          <div style="display: block;">
            <div *ngFor="let it of item.enlevementLivraisons" style="margin: auto;">
              <div *ngIf="it.isEnlevement"
                style="border-top:7px solid rgb(60, 119, 255); margin-bottom: 7px; border-radius: 7px; box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;">
                <div style="margin: 5px;">
                  <div class="row content">
                    <div class="col-10">
                      <h5 style="color: #314362;"><strong>{{it.expedition.adresse1}}</strong></h5>
                    </div>
                    <div class="col-1 pointer"><img class="mr-0" src="assets/img/consultation.svg" width="21"
                        height="21" (click)="navigateToCommande(it.commandeId)"></div>
                  </div>
                  <div class="row content">
                    <div class="col-10">
                      <h6 style="color: #314362;"> <strong> Avant:{{it.expedition.dateSouhaite}}</strong></h6>
                    </div>
                    <div class="col-1"><img class="mr-0" src="assets/img/Group 18974.svg" width="21" height="21"></div>

                  </div>
                  <div class="row content">
                    <div class="col-7">
                      <h6 style="color: #314362;"><strong>{{it.poids}}T / {{it.mlp}}MLP /{{it.volume ? it.volume : 0 }}
                          M² </strong></h6>
                    </div>
                    <div class="col-5 ">
                      <p style="color: rgba(202, 202, 202, 0.695);">N°:{{it.numCommande}}</p>
                    </div>
                  </div>
                </div>
              </div>
              <div *ngIf="!it.isEnlevement"
                style="border-top:7px solid rgb(91, 255, 91); margin-bottom: 7px; border-radius: 7px; box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;">
                <div style="margin: 5px;">
                  <div class="row content">

                    <div class="col-10">
                      <h5 style="color: #314362;"><strong>{{it.livraison.adresse1}}</strong></h5>
                    </div>
                    <div class="col-1 pointer"><img class="mr-0 pointer" src="assets/img/consultation.svg" width="21"
                        height="21" (click)="navigateToCommande(it.commandeId)"></div>
                  </div>
                  <div class="row content">
                    <div class="col-10">
                      <h6 style="color: #314362;"> <strong> Avant:{{it.livraison.dateSouhaite}}</strong></h6>
                    </div>
                    <div class="col-1"><img class="mr-0 " src="assets/img/Group 18974.svg" width="21" height="21"></div>
                  </div>
                  <div class="row content">
                    <div class="col-7">
                      <h6 style="color: #314362;"><strong>{{it.poids}}T / {{it.mlp}}MLP /{{it.volume ? it.volume : 0 }}
                          M² </strong></h6>
                    </div>
                    <div class="col-5">
                      <p style="color: rgba(202, 202, 202, 0.695);">N°:{{it.numCommande}}</p>
                    </div>

                  </div>
                </div>
              </div>
            </div>
          </div>
        </mat-expansion-panel>
      </mat-expansion-panel>
    </mat-accordion>
  </div>
</div>
